Bug 1310857 - [abrt] cryptkeeper: strcmp(): cryptkeeper killed by SIGSEGV
[abrt] cryptkeeper: strcmp(): cryptkeeper killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cryptkeeper (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d0fdf60c01aa246f6d6a3fe31a0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 15:16 EST by Russell Harrison
Modified: 2016-07-19 14:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (76.67 KB, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: core_backtrace (6.56 KB, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: dso_list (9.08 KB, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: environ (1.92 KB, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-22 15:16 EST, Russell Harrison
no flags Details
File: maps (49.90 KB, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details
File: mountinfo (3.96 KB, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details
File: open_fds (1.06 KB, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details
File: var_log_messages (323 bytes, text/plain)
2016-02-22 15:17 EST, Russell Harrison
no flags Details

  None (edit)
Description Russell Harrison 2016-02-22 15:16:40 EST
Description of problem:
cryptkeeper is set to run on the start of my Gnome session. The crash happened when I clicked on its icon in the tray. It appears to be repoducable every time so far.

Version-Release number of selected component:
cryptkeeper-0.9.5-10.fc22

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        cryptkeeper
crash_function: strcmp
executable:     /usr/bin/cryptkeeper
global_pid:     4351
kernel:         4.3.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:210
 #1 is_mounted at encfs_wrapper.cpp:49
 #2 sico_activated at main.cpp:507
 #3 _g_closure_invoke_va at gclosure.c:831
 #6 emit_activate_signal at gtkstatusicon.c:1314
 #7 gtk_status_icon_button_press at gtkstatusicon.c:1804
 #8 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #13 gtk_widget_event_internal at gtkwidget.c:5017
 #14 gtk_widget_event at gtkwidget.c:4814
 #15 gtk_propagate_event at gtkmain.c:2501

Potential duplicate: bug 807168
Comment 1 Russell Harrison 2016-02-22 15:16:48 EST
Created attachment 1129471 [details]
File: backtrace
Comment 2 Russell Harrison 2016-02-22 15:16:50 EST
Created attachment 1129472 [details]
File: cgroup
Comment 3 Russell Harrison 2016-02-22 15:16:52 EST
Created attachment 1129473 [details]
File: core_backtrace
Comment 4 Russell Harrison 2016-02-22 15:16:55 EST
Created attachment 1129474 [details]
File: dso_list
Comment 5 Russell Harrison 2016-02-22 15:16:57 EST
Created attachment 1129475 [details]
File: environ
Comment 6 Russell Harrison 2016-02-22 15:16:59 EST
Created attachment 1129476 [details]
File: limits
Comment 7 Russell Harrison 2016-02-22 15:17:03 EST
Created attachment 1129477 [details]
File: maps
Comment 8 Russell Harrison 2016-02-22 15:17:05 EST
Created attachment 1129478 [details]
File: mountinfo
Comment 9 Russell Harrison 2016-02-22 15:17:07 EST
Created attachment 1129479 [details]
File: namespaces
Comment 10 Russell Harrison 2016-02-22 15:17:10 EST
Created attachment 1129480 [details]
File: open_fds
Comment 11 Russell Harrison 2016-02-22 15:17:11 EST
Created attachment 1129481 [details]
File: proc_pid_status
Comment 12 Russell Harrison 2016-02-22 15:17:13 EST
Created attachment 1129482 [details]
File: var_log_messages
Comment 13 Michael Fischer 2016-03-21 20:17:17 EDT
This appears to be the same problem that was reported in bug 1193874 and never fixed.  I posted a patch there in comment #12 that kept it from crashing on me.  The patch will need to be updated to the latest version of cryptkeeper.  I still experience the problem under Fedora 23 if I use the unpatched distribution version of cryptkeeper.
Comment 14 Fedora End Of Life 2016-07-19 14:44:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.